#### Simplified Maemo Location Ontology (SLO)

Ontology for locations and landmarks

    @prefix slo: <http://tracker.api.gnome.org/ontology/v3/slo#>

The following classes are defined:

GeoLocation, Landmark, LandmarkCategory, Route

# Classes

## GeoLocation

A place in the space, can be defined by coordinates or text

Note:
This class emits notifications about changes, and can be monitored using `TrackerNotifier`.

#### Class hierarchy

#### RDF Diagram

#### Properties

Name | Type | Notes | Description
--- | --- | --- | ---
altitude | double |  | Altitude following WGS 84 reference
boundingLatitudeMax | double |  | Northern latitude of the bounding box
boundingLatitudeMin | double |  | Southern latitude of the bounding box
boundingLongitudeMax | double |  | Eastern longitude of the bounding box
boundingLongitudeMin | double |  | Western longitude of the bounding box
horizontalAccuracy | double |  | Represents the error estimate of horizontal (earths-surface) accuracy in meters.
latitude | double |  | Positive values for the north hemisphere, negative for the south
longitude | double |  | Positive to the East of the Greenwich meridian, negative to the West (following WGS-84)
postalAddress | PostalAddress |  | Representation of the location as text address
radius | double |  | Radius from the center to define an area. Some applications can use it in 2D sense, making then a circle instead of a sphere
timestamp | dateTime |  | Timestamp when the geolocation is referenced. Create subproperties for certain use cases
verticalAccuracy | double |  | Represents the error estimate of vertical (earths-surface) accuracy in meters.

## Landmark

Use the nie title, description, … properties

Note:
This class emits notifications about changes, and can be monitored using `TrackerNotifier`.

#### Class hierarchy

#### RDF Diagram

#### Properties

Name | Type | Notes | Description
--- | --- | --- | ---
belongsToCategory | LandmarkCategory |  | Relation of a landmark with a landmark category
hasContact | Contact |  | The contact information of the landmark in question
iconUrl | Resource |  | Url of the icon that corresponds to this landmark.

## LandmarkCategory

Predefined set of instances for categories of landmarks

Note:
This class emits notifications about changes, and can be monitored using `TrackerNotifier`.

#### Class hierarchy

#### RDF Diagram

#### Properties

Name | Type | Notes | Description
--- | --- | --- | ---
categoryIconUrl | Resource |  | Url of the icon that corresponds to this category.
isRemovable | boolean |  | Flag to indicate if this instance is removable. This restriction is not enforced by tracker; it is API responsability to honor the value

## Route

#### Class hierarchy

#### Properties

Name | Type | Notes | Description
--- | --- | --- | ---
endTime | dateTime |  |
routeDetails | string |  | FIXME Domain can be resource if we handle map-files correctly in the ontology
startTime | dateTime |  |

# Additional properties for nie:InformationElement

Properties this ontology defines which can describe nie:InformationElement resources.

Name | Type | Notes | Description
--- | --- | --- | ---
location | GeoLocation |  | This can be subclassed to add semantics

# Credits and Copyright

Authors:

- Ivan Frade <ivan.frade@nokia.com>

Editors:

- Ivan Frade <ivan.frade@nokia.com>

Upstream: Not available

ChangeLog: Tracker changes